# GeomAbs_BSplKnotDistribution.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | GeomAbs_BSplKnotDistribution { GeomAbs_NonUniform, GeomAbs_Uniform, GeomAbs_QuasiUniform, GeomAbs_PiecewiseBezier }
| This enumeration is used to note specific curve form. . More...

## Enumeration Type Documentation

enum GeomAbs_BSplKnotDistribution

Enumeration values:

  GeomAbs_NonUniform |
  GeomAbs_Uniform |
  GeomAbs_QuasiUniform |
  GeomAbs_PiecewiseBezier |